<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XML Spy v4.4 U (http://www.xmlspy.com) by Andre (ABC) -->
<Gate ID="{BB74D371-0FA1-492F-A7DC-278FD7B29646}" Alias="FSGate">
	<Methods/>
	<ObjectTypes>
		<ObjectType Alias="FSFileFolder" HasUrlAddress="true" IsCreatable="false" IsCopiable="false" SupportsQuickSearch="false" IsBasic="false" IsEnumeration="false" SupportsCustomProperties="false">
			<Name>
				<LocalizedString Language="ru">Папка ФС</LocalizedString>
				<LocalizedString Language="uk">Папка ФС</LocalizedString>
				<LocalizedString Language="en">Folder FS</LocalizedString>
			</Name>
			<Type TypeID="0" GateID="{BB74D371-0FA1-492F-A7DC-278FD7B29646}" SubTypeID=""/>
			<Properties>
				<Property Alias="ID" ReadOnly="true">
					<Name>
						<LocalizedString Language="ru">Путь к папке</LocalizedString>
						<LocalizedString Language="uk">Шлях до теки</LocalizedString>
						<LocalizedString Language="en">Folder path</LocalizedString>
					</Name>
					<Type TypeID="3" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="Name" ReadOnly="true">
					<Name>
						<LocalizedString Language="ru">Имя папки</LocalizedString>
						<LocalizedString Language="uk">Ім'я папки</LocalizedString>
						<LocalizedString Language="en">Folder name</LocalizedString>
					</Name>
					<Type TypeID="3" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="Extension" ReadOnly="true">
					<Name>
						<LocalizedString Language="ru">Расширение</LocalizedString>
						<LocalizedString Language="uk">Розширення</LocalizedString>
						<LocalizedString Language="en">Extension</LocalizedString>
					</Name>
					<Type TypeID="3" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="ParentFolder" ReadOnly="true">
					<Name>
						<LocalizedString Language="ru">Родительская папка</LocalizedString>
						<LocalizedString Language="uk">Батьківська папка</LocalizedString>
						<LocalizedString Language="en">Parent folder</LocalizedString>
					</Name>
					<Type TypeID="0" GateID="{BB74D371-0FA1-492F-A7DC-278FD7B29646}" SubTypeID=""/>
				</Property>
				<Property Alias="Root" ReadOnly="true">
					<Name>
						<LocalizedString Language="ru">Корневая папка</LocalizedString>
						<LocalizedString Language="uk">Коренева папка</LocalizedString>
						<LocalizedString Language="en">Root folder</LocalizedString>
					</Name>
					<Type TypeID="0" GateID="{BB74D371-0FA1-492F-A7DC-278FD7B29646}" SubTypeID=""/>
				</Property>
				<Property Alias="CreationTime" ReadOnly="false">
					<Name>
						<LocalizedString Language="ru">Дата создания</LocalizedString>
						<LocalizedString Language="uk">Дата створення</LocalizedString>
						<LocalizedString Language="en">Creation date</LocalizedString>
					</Name>
					<Type TypeID="5" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="CreationTimeUtc" ReadOnly="false">
					<Name>
						<LocalizedString Language="ru">Дата создания в UTC</LocalizedString>
						<LocalizedString Language="uk">Дата створення в UTC</LocalizedString>
						<LocalizedString Language="en">Creation date in UTC</LocalizedString>
					</Name>
					<Type TypeID="5" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="LastAccessTime" ReadOnly="false">
					<Name>
						<LocalizedString Language="ru">Дата последнего доступа</LocalizedString>
						<LocalizedString Language="uk">Дата останнього доступу</LocalizedString>
						<LocalizedString Language="en">Last access date</LocalizedString>
					</Name>
					<Type TypeID="5" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="LastAccessTimeUtc" ReadOnly="false">
					<Name>
						<LocalizedString Language="ru">Дата последнего доступа в UTC</LocalizedString>
						<LocalizedString Language="uk">Дата останнього доступу в UTC</LocalizedString>
						<LocalizedString Language="en">Last access date in UTC</LocalizedString>
					</Name>
					<Type TypeID="5" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="LastWriteTime" ReadOnly="false">
					<Name>
						<LocalizedString Language="ru">Дата последней записи</LocalizedString>
						<LocalizedString Language="uk">Дата останнього запису</LocalizedString>
						<LocalizedString Language="en">Last write date</LocalizedString>
					</Name>
					<Type TypeID="5" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="LastWriteTimeUtc" ReadOnly="false">
					<Name>
						<LocalizedString Language="ru">Дата последней записи в UTC</LocalizedString>
						<LocalizedString Language="uk">Дата останнього запису в UTC</LocalizedString>
						<LocalizedString Language="en">Last write date in UTC</LocalizedString>
					</Name>
					<Type TypeID="5" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
			</Properties>
			<Methods/>
			<Convertors/>
			<ConditionalOperations/>
		</ObjectType>
		<ObjectType Alias="FSFile" HasUrlAddress="true" IsCreatable="false" IsCopiable="false" SupportsQuickSearchable="false" IsBasic="false" IsEnumeration="false" SupportsCustomProperties="true">
			<Name>
				<LocalizedString Language="ru">Файл ФС</LocalizedString>
				<LocalizedString Language="uk">Файл ФС</LocalizedString>
				<LocalizedString Language="en">File FS</LocalizedString>
			</Name>
			<Type TypeID="1" GateID="{BB74D371-0FA1-492F-A7DC-278FD7B29646}" SubTypeID=""/>
			<Properties>
				<Property Alias="ID" ReadOnly="true">
					<Name>
						<LocalizedString Language="ru">Путь к файлу</LocalizedString>
						<LocalizedString Language="uk">Шлях до файлу</LocalizedString>
						<LocalizedString Language="en">File path</LocalizedString>
					</Name>
					<Type TypeID="3" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="Name" ReadOnly="true">
					<Name>
						<LocalizedString Language="ru">Имя файла</LocalizedString>
						<LocalizedString Language="uk">Ім'я файлу</LocalizedString>
						<LocalizedString Language="en">File name</LocalizedString>
					</Name>
					<Type TypeID="3" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="Extension" ReadOnly="true">
					<Name>
						<LocalizedString Language="ru">Расширение</LocalizedString>
						<LocalizedString Language="uk">Розширення</LocalizedString>
						<LocalizedString Language="en">Extension</LocalizedString>
					</Name>
					<Type TypeID="3" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="Size" ReadOnly="true">
					<Name>
						<LocalizedString Language="ru">Размер</LocalizedString>
						<LocalizedString Language="uk">Розмір</LocalizedString>
						<LocalizedString Language="en">Size</LocalizedString>
					</Name>
					<Type TypeID="1" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="ParentFolder" ReadOnly="true">
					<Name>
						<LocalizedString Language="ru">Папка файла</LocalizedString>
						<LocalizedString Language="uk">Папка файлу</LocalizedString>
						<LocalizedString Language="en">File folder</LocalizedString>
					</Name>
					<Type TypeID="0" GateID="{BB74D371-0FA1-492F-A7DC-278FD7B29646}" SubTypeID=""/>
				</Property>
				<Property Alias="CreationTime" ReadOnly="false">
					<Name>
						<LocalizedString Language="ru">Дата создания</LocalizedString>
						<LocalizedString Language="uk">Дата створення</LocalizedString>
						<LocalizedString Language="en">Creation date</LocalizedString>
					</Name>
					<Type TypeID="5" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="CreationTimeUtc" ReadOnly="false">
					<Name>
						<LocalizedString Language="ru">Дата создания в UTC</LocalizedString>
						<LocalizedString Language="uk">Дата створення в UTC</LocalizedString>
						<LocalizedString Language="en">Creation date in UTC</LocalizedString>
					</Name>
					<Type TypeID="5" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="LastAccessTime" ReadOnly="false">
					<Name>
						<LocalizedString Language="ru">Дата последнего доступа</LocalizedString>
						<LocalizedString Language="uk">Дата останнього доступу</LocalizedString>
						<LocalizedString Language="en">Last access date</LocalizedString>
					</Name>
					<Type TypeID="5" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="LastAccessTimeUtc" ReadOnly="false">
					<Name>
						<LocalizedString Language="ru">Дата последнего доступа в UTC</LocalizedString>
						<LocalizedString Language="uk">Дата останнього доступу в UTC</LocalizedString>
						<LocalizedString Language="en">Last access date in UTC</LocalizedString>
					</Name>
					<Type TypeID="5" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="LastWriteTime" ReadOnly="false">
					<Name>
						<LocalizedString Language="ru">Дата последней записи</LocalizedString>
						<LocalizedString Language="uk">Дата останнього запису</LocalizedString>
						<LocalizedString Language="en">Last write date</LocalizedString>
					</Name>
					<Type TypeID="5" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
				<Property Alias="LastWriteTimeUtc" ReadOnly="false">
					<Name>
						<LocalizedString Language="ru">Дата последней записи в UTC</LocalizedString>
						<LocalizedString Language="uk">Дата останнього запису в UTC</LocalizedString>
						<LocalizedString Language="en">Last write date in UTC</LocalizedString>
					</Name>
					<Type TypeID="5" GateID="{00000000-0000-0000-0000-000000000000}" SubTypeID=""/>
				</Property>
			</Properties>
			<Methods/>
			<Convertors/>
			<ConditionalOperations/>
		</ObjectType>
	</ObjectTypes>
</Gate>
